lttng-modules (2.14.0-1ubuntu1.1~24.04.1) noble; urgency=medium

  * Linux 6.8 support
  * Support Linux 6.17 (LP: #2133894)
    - Backport from Questing to support 6.17 kernel

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 19 Dec 2025 17:38:32 +0100

lttng-modules (2.14.0-1ubuntu1.1) questing; urgency=medium

   * Support Linux 6.17 (LP: #2133894)
     - debian/patches/writeback-instrumentation-Add-missing-provider-name-.patch
     - debian/patches/Add-missing-prototype-for-wrapper_get_pfnblock_flags.patch
     - debian/patches/Fix-Add-wrapper-for-get_pfnblock_migatetype.patch
     - debian/patches/fix-get_pfnblock_flags_mask-get_pfnblock_migratetype.patch
     - debian/patches/fix-btrfs-use-refcount_t-type-for-the-extent-buffer-.patch
     - debian/patches/fix-always-print-to-kernel-log-on-module-load-failur.patch

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 18 Dec 2025 22:08:06 -0600

lttng-modules (2.14.0-1ubuntu1) questing; urgency=medium

  * Support Linux 6.17 (LP: #2122419)
    - repurpose-__percpu-tag-as-a-named-address-space-qualifier.patch
    - remove-the-for_reclaim-field-from-struct-writeback_control.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 09 Sep 2025 10:20:33 +0200

lttng-modules (2.14.0-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [e4aad43] Fix version constraint for building lttng-probe-9p
  * [a3159c8] dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.5"

  [ Michael Jeanson ]
  * [1c1be3a] New upstream version 2.14.0
  * [8e16fa1] Refresh upstream signing key
  * [e2cbe7a] Refresh patches
  * [a579cc2] Bump standards to 4.7.2
  * [c328b79] Update git url in upstream metadata
  * [d3cd6d0] d/control: update description
  * [8068856] Update dkms config
  * [b22d162] Update debian/copyright
  * [4be4523] Add config check for 9p probe in dkms config
  * [f41cf63] d/copyright: add missing license text for CC-BY-SA-4.0
  * [d7fcfa9] Move to debhelper 13
  * [425602d] d/copyright: remove old FSF address

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 13:34:08 -0400

lttng-modules (2.13.18-1) unstable; urgency=medium

  * [25407c8] New upstream version 2.13.18

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 18:01:05 -0400

lttng-modules (2.13.17-1) unstable; urgency=medium

  * [8dd4688] New upstream version 2.13.17
    - Bugfix release, adds support for v6.13
  * [ae31fe8] Refresh patches

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 24 Jan 2025 16:13:08 -0500

lttng-modules (2.13.16-1) unstable; urgency=medium

  * [e2da4b9] New upstream version 2.13.16
    - Bugfix release, adds support for v6.12

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 19 Nov 2024 13:47:18 -0500

lttng-modules (2.13.15-1) unstable; urgency=medium

  * [c55dfc6] New upstream version 2.13.15
    - Bugfix release, adds support for v6.11 (Closes: #1081375)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 09 Oct 2024 14:22:41 -0400

lttng-modules (2.13.14-1) unstable; urgency=medium

  * [1f8eb0c] New upstream version 2.13.14
  * [2a2f5f6] Refresh patches for 2.13.14

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 18 Jul 2024 13:55:33 -0400

lttng-modules (2.13.13-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [d5a1f81] fix kernel version parsing if there are only two numeric
    components (Closes: #1074479)

  [ Michael Jeanson ]
  * [a5163d1] dkms: ftrace probe removed upstream
  * [6f28872] Refresh upstream signing key
  * [a96286a] Bump standards version to 4.6.2

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 05 Jul 2024 16:50:27 -0400

lttng-modules (2.13.13-1) unstable; urgency=medium

  * [bc6f05d] New upstream version 2.13.13
    - Bugfix release, adds support for v6.9

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 23 May 2024 14:01:19 -0400

lttng-modules (2.13.12-1) unstable; urgency=medium

  * [e8cef83] New upstream version 2.13.12
    - Bugfix release, adds support for v6.8
  * [363c5bf] Refresh patches for 2.13.12

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 21 Mar 2024 17:40:11 -0400

lttng-modules (2.13.11-1) unstable; urgency=medium

  * [91d897d] New upstream version 2.13.11
    - Bugfix release, adds support for v6.6 and v6.7

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jan 2024 11:09:46 -0500

lttng-modules (2.13.10-1) unstable; urgency=medium

  * [9cf6ada] New upstream version 2.13.10
    - Bugfix release, adds support for v6.3 and multiple stable kernels.
  * [53979b6] Refresh patches for 2.13.10

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 16:35:38 -0400

lttng-modules (2.13.9-1) unstable; urgency=medium

  * [2f1b62b] New upstream version 2.13.9
    - Bugfix release, adds support for v6.2 and multiple stable kernels.

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Mar 2023 14:12:32 -0500

lttng-modules (2.13.8-1) unstable; urgency=medium

  * [813bc03] New upstream version 2.13.8

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 16 Jan 2023 11:47:18 -0500

lttng-modules (2.13.7-1) unstable; urgency=medium

  * [a85260b] New upstream version 2.13.7
  * [8da9d13] Update dkms config (Closes: #1019250)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 19 Oct 2022 14:29:50 -0400

lttng-modules (2.13.4-1) unstable; urgency=medium

  * [431cdf5] New upstream version 2.13.4

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 03 Jun 2022 16:15:35 -0400

lttng-modules (2.13.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [1a7054d] switch to dh-sequence-dkms
  * [b5f9942] switch to Testsuite: autopkgtest-pkg-dkms
  * [8a3be1e] look for kernel config in $kernel_source_dir/.config first
  * [eceedfa] the autopkgtests may run on Salsa CI

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 01 Jun 2022 10:40:03 -0400

lttng-modules (2.13.3-1) unstable; urgency=medium

  * [74b0b84] New upstream version 2.13.3

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 28 Mar 2022 15:07:40 -0400

lttng-modules (2.13.2-1) unstable; urgency=medium

  * [dbf1674] New upstream version 2.13.2

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 13 Mar 2022 15:02:42 -0400

lttng-modules (2.13.1-1) unstable; urgency=medium

  * [a4701a4] New upstream version 2.13.1

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Jan 2022 14:08:28 -0500

lttng-modules (2.13.0-2) unstable; urgency=medium

  * [6d6009d] Update Salsa CI pipeline config
  * [9c934f8] Update to debhelper compat 12

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 12:08:28 -0400

lttng-modules (2.13.0-1) unstable; urgency=medium

  * [d3af6a6] New upstream version 2.13.0
  * [917bbe8] Refreshed patches for 2.13
  * [cf4c5cb] Bump watch file version to 4
  * [1902e3b] Update debian/copyright
  * [049e5c3] Exclude new docs from dkms package
  * [219cd42] Update dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Oct 2021 15:45:42 -0400

lttng-modules (2.12.5-1) unstable; urgency=medium

  * [8e0b514] New upstream version 2.12.5
  * [9feae13] Refreshed patches
  * Add support for kernel v5.11
  * Add support for stable branch kernels with sublevel >=256

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 17 Feb 2021 17:12:39 -0500

lttng-modules (2.12.4-1) unstable; urgency=medium

  * [46f9e6c] New upstream version 2.12.4

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 12 Jan 2021 10:38:54 -0500

lttng-modules (2.12.3-1) unstable; urgency=medium

  * [5674e6f] New upstream version 2.12.3

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 06 Oct 2020 11:08:17 -0400

lttng-modules (2.12.2-1) unstable; urgency=medium

  * [5de8762] New upstream version 2.12.2

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Aug 2020 13:52:08 -0400

lttng-modules (2.12.1-1) unstable; urgency=medium

  * [d5516c1] New upstream version 2.12.1
  * [079f83b] Add lttng-wrapper.ko to dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 03 Jun 2020 13:33:34 -0400

lttng-modules (2.12.0-1) unstable; urgency=medium

  * [e5929d1] New upstream version 2.12.0
  * [4023fa1] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 08 Apr 2020 15:49:55 -0400

lttng-modules (2.11.2-1) unstable; urgency=medium

  * [2bebc7c] New upstream version 2.11.2

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 26 Feb 2020 11:12:39 -0500

lttng-modules (2.11.1-1) unstable; urgency=medium

  * [097ed28] New upstream version 2.11.1

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 29 Jan 2020 11:40:35 -0500

lttng-modules (2.11.0-2) unstable; urgency=medium

  * [a196266] Add new probes to dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 21 Oct 2019 17:18:34 -0400

lttng-modules (2.11.0-1) unstable; urgency=medium

  * [79326af] New upstream version 2.11.0
  * [a732214] Bump debhelper to 11
  * [b0627db] Set Rules-Requires-Root to no
  * [3da3e09] Bump standards version to 4.4.1
  * [1513156] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 17 Oct 2019 15:49:22 -0400

lttng-modules (2.10.11-1) unstable; urgency=medium

  * [64ea811] New upstream version 2.10.11

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 12 Sep 2019 11:17:02 -0400

lttng-modules (2.10.10-1) unstable; urgency=medium

  * [c753cf3] Disable Salsa CI autopkgtest test
  * [113af65] New upstream version 2.10.10

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 12 Jul 2019 14:21:09 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lttng-modules-dkms`.
